%global sfincb %{_datadir}/shellfu/include-bash
%global sfmodn __SHELLFU_MODNAME__
%global shellfu_req shellfu >= 0.10.7, shellfu < 0.11

Name:       __MKIT_PROJ_PKGNAME__
Version:    __MKIT_PROJ_VERSION__
Release:    1%{?dist}
Summary:    __MKIT_PROJ_NAME__ - __MKIT_PROJ_TAGLINE__
URL:        __MKIT_PROJ_VCS_BROWSER__
License:    LGPLv2
Source0:    %{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: %shellfu_req
BuildRequires: libxml2-python
BuildRequires: shellfu-bash-pretty

Requires: %shellfu_req
Requires: libxml2-python
Requires: shellfu-bash
Requires: shellfu-bash-pretty
%description
pxpath is Shellfu/Bash wrapper around libxml2-python with intent
to enable you to make simple XPath queries from a shell script,
while retaining compatibility with ancient distributions such as
RHEL-5.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
make test \
    SHELLFU_PATH=%{buildroot}/%{_datadir}/shellfu/include-bash \
    _PXPATH__BIN=%{buildroot}/%{_libexecdir}/shellfu-bash-pxpath/pxpath

%files
%doc %{_docdir}/%{name}/README.md
%{sfincb}/%{sfmodn}.sh
%{_libexecdir}/shellfu-bash-pxpath//pxpath

%changelog

# specfile built with MKit __MKIT_SELF_VERSION__
